#! /bin/sh

PATH=/bin:/usr/bin:/sbin:/usr/sbin
CWD=`pwd`

while : ; do
	clear
	echo -n "Shall we use high speed range (type YES or NO)? "
	read ANSWER
	echo
	ANSWER=`echo ${ANSWER} | awk '{ print toupper($0) }'`
	if [ "${ANSWER}" = "YES" -o "${ANSWER}" = "NO" ] ; then
		if [ "${ANSWER}" = "YES" ] ; then
			cat ${CWD}/pucdata.c.patch.in | \
				sed -e 's/#define CRONYX_OMEGA_PCI__HIGH_SPEEDS 0/#define CRONYX_OMEGA_PCI__HIGH_SPEEDS 1/g' \
				> ${CWD}/pucdata.c.patch
			echo "We'll use high speed range (up to 921.6 kbit/s,"
			echo "how to set the jumper correctly - see the board manual)."
		else
			cat ${CWD}/pucdata.c.patch.in \
				> ${CWD}/pucdata.c.patch
			echo "We'll use standard speed range (up to 115.2 kbit/s,"
			echo "how to set the jumper correctly - see the board manual)."
		fi
		echo
		break
	fi
done

cd /usr/src

for f in ${CWD}/*.patch ; do
	patch -p0 < $f
	if [ $? -eq 0 ]; then
		echo "`basename $f` was applied SUCCESSFULLY."
		echo
	else
		echo "`basename $f` FAILED!"
		echo
		exit 1
	fi
done

cd sys/dev/pci

make
if [ $? -eq 0 ]; then
	echo "PCI data: OK."
	echo
else
	echo "PCI data: generation FAILED!."
	echo
	exit 1
fi

exit 0


